Last modified: 2012-10-19 16:58:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17397 - Take the reader gender when the user is missing in the magic word GENDER
Take the reader gender when the user is missing in the magic word GENDER
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.14.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: gender
  Show dependency treegraph
 
Reported: 2009-02-07 12:05 UTC by David Crochet
Modified: 2012-10-19 16:58 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description David Crochet 2009-02-07 12:05:47 UTC
I would add an improvement to the magic word GENDER :

in {{GENDER:$1|$2|$3|$4}}
if $1 is missing
take the reader gender of the page ( $1 = wgUserName )
Comment 1 Splarka 2009-02-07 12:21:36 UTC
For the same reason core doesn't support {{USERNAME}} (bug 4196), it won't support this. This is incompatible with caches (it either becomes broken by it, or breaks cache coherency, or forces a disabling of cache for a given page, and none of these are generally tolerated on WMF wikis), and pointless for the vast majority of pageviews (those being the anonymous viewers).

Similar is {{USERIFCODE}} (bug 2085), which is still under argument.
Comment 2 DavidL 2011-12-10 17:53:50 UTC
The gender tag should be enhanced to enable using the current username when none is provided. Otherwise, this tag is quite useless.

Cache coherency is not a valid argument as the problem can be solved easily: When a user specific information is included in a wiki page (username, gender, other), the page identifier in the cache must include the user name (or user account identifier), and nothing for IP users.
Comment 3 db [inactive,noenotif] 2012-10-02 17:45:42 UTC
For interface messages the parser function works like that since the begin (r46247), but it is not possible to support that inside wikitext, because that breaks cache.
Comment 4 Siebrand Mazeland 2012-10-16 11:17:28 UTC
This will not be resolved for the reason stated in comment 3.
Comment 5 Daniel Friesen 2012-10-16 11:37:07 UTC
(In reply to comment #2)
> The gender tag should be enhanced to enable using the current username when
> none is provided. Otherwise, this tag is quite useless.

GENDER is perfectly useful without the feature you request:
USERBOX: "{{PAGENAME}} is an admin on {{SITENAME}}, you may contact {{GENDER:{{PAGENAME}}|him|her|them}} for for help."

Your request is ONLY useful in a situation where the article is talking to the user. Which is an extreme rarity.

> Cache coherency is not a valid argument as the problem can be solved easily:
> When a user specific information is included in a wiki page (username, gender,
> other), the page identifier in the cache must include the user name (or user
> account identifier), and nothing for IP users.

Cache issues are a valid argument. Your suggestion on how to /fix/ the issue is absolutely ridiculous.
What you describe will fragment the cache such that we store a completely different cache for each and every user. The page will be re-parsed over and over as different users use it. This is almost the same as disabling the cache entirely. And not only that, it also carries the issue of exponentially growing the cache size. Which starts erasing good caches that can be used for everyone just to store caches that are only useful for one user and essentially worthless. That kind of thing hurts an entire wiki's performance.

And frankly, no one has even detailed a single scenario where using the reader gender in an article rather than an interface message is useful.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links